Subject: Re: intel 82571EB gigabit fails to see link on 2.6.20-rc5 in-tree e1000 driver (regression)

From: Auke Kok <[email-masked]>
Date: Wed, 17 Jan 2007 15:56:11 -0800

Adam Kropelin wrote:
>> Allen Parker wrote:
>>> Allen Parker wrote:
>>>>  From what I've been able to gather, other Intel Pro/1000 chipsets 
>>>> work fine in 2.6.20-rc5. If the e1000 guys need any assistance 
>>>> testing, I'll be more than happy to volunteer myself as a guinea pig 
>>>> for patches.
>>> I wasn't aware that I was supposed to post this as a regression, so 
>>> changed the subject, hoping that someone will pick this up and run with 
>>> it. Primary issue being that link is not seen on this chipset under 
>>> 2.6.20-rc5 via in-tree e1000 driver, despite multiple cycles of ifconfig 
>>> $eth up && ethtool $eth | grep link && ifconfig $eth down. Tested on 2 
>>> machines with identical hardware.
>> I asked Allen to report this here. I'm working on the issue as we speak
>> but for now I'll treat the link issue as a known regression once I 
>> confirm it. If others have seen it then I'd like to know ASAP of course
> 
> I am experiencing the no-link issue on a 82572EI single port copper
> PCI-E card. I've only tried 2.6.20-rc5, so I cannot tell if this is a
> regression or not yet. Will test older kernel soon.
> 
> Can provide details/logs if you want 'em.

we've already established that Allen's issue is not due to the driver and caused by 
interrupts being mal-assigned on his system, possibly a pci subsystem bug. You also have 
a completely different board (82572EI instead of 82571EB), so I'd like to see the usual 
debugging info as well as hearing from you whether 2.6.19.any works correctly.

On top of that I posted a patch to rc5-mm yesterday that fixes a few significant bugs in 
the rc5-mm driver, so please apply that patch too before trying, so we're not wasting 
our time finding old bugs ;)

Cheers,

Auke